import request from '@/utils/request'

// 查询发票开票信息列表
export function listIssuance(query) {
  return request({
    url: '/basicData/xcrInvoiceIssuance/findByPage',
    method: 'get',
    params: query
  })
}

// 查询发票开票信息详细
export function getIssuance(xhCodeId) {
  return request({
    url: '/basicData/xcrInvoiceIssuance/' + xhCodeId,
    method: 'get'
  })
}

// 新增发票开票信息
export function addIssuance(data) {
  return request({
    url: '/basicData/xcrInvoiceIssuance',
    method: 'post',
    data: data
  })
}

// 修改发票开票信息
export function updateIssuance(data) {
  return request({
    url: '/basicData/xcrInvoiceIssuance',
    method: 'put',
    data: data
  })
}

// 删除发票开票信息
export function delIssuance(xhCodeId) {
  return request({
    url: '/basicData/xcrInvoiceIssuance/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delIssuanceBatch(ids) {
  return request.post('/basicData/xcrInvoiceIssuance/delete',ids)
}
